
#!/usr/bin/python
# coding: utf-8
import RPi.GPIO as Gpio
from joueur import Joueur 
import fastman

Gpio.setwarnings(False)
Gpio.setmode(Gpio.BCM)

def main(): 

    #defini les gpio des bouton et de la led
    gpio_bouton_joueur_a = 14
    gpio_bouton_joueur_b = 17
    gpio_bouton_start = 22
    gpio_led = 18
    
    #instancie et initialise un objet fastman.Partie
    Partie = fastman.Partie(Gpio,gpio_bouton_start,gpio_led);
    
    #Instancie un objet regle et le defini comme regle de Partie 
    Partie.set_regle(fastman.regleB())
     
    #Instancie un ojbet Joueur et l'ajoute a Partie
    Partie.add_joueur(Joueur("Bud Spencer",Gpio,gpio_bouton_joueur_a))
    #Instancie un ojbet Joueur et l'ajoute a Partie
    Partie.add_joueur(Joueur("Terence Hill",Gpio,gpio_bouton_joueur_b))
  
    try:
        Partie.start()
    except KeyboardInterrupt:
        pass
    Gpio.cleanup() 
   
if __name__ == '__main__':
    main()